<template>
  <v-container>
    <v-row dense>
      <v-col cols="12" md="6" v-for="course of courses" :key="course.id">
        <course-list-item :course="course" />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import CourseListItem from './CourseListItem.vue';
import { Course } from '@/domain/entity/course/Course';
import { Prop } from 'vue-property-decorator';

@Component({
  components: {
    CourseListItem
  }
})
export default class CourseList extends Vue {
  @Prop({
    required: false,
    default: () => [],
    type: Array
  })
  private readonly courses!: Course[];
}
</script>

<style scoped></style>
